source ./bin/utils/functions.sh
source .env

echo_warning "Recreating sharix_main.service"
\cp conf/sharix_main.service.example conf/sharix_main.service
sed -i "s|WORKING_DIRECTORY|$(pwd)|g" conf/sharix_main.service
echo_success "Recreated sharix_main.service"

echo_warning "Copying sharix_main.service to /etc/systemd/system/ folder"
\cp conf/sharix_main.service /etc/systemd/system/sharix_main.service
echo_success "Copied sharix_main.service to /etc/systemd/system/ folder"

echo_warning "Reloading systemd daemon"
systemctl daemon-reload
echo_success "Reloaded systemd daemon"

systemctl enable sharix_main.service
systemctl start sharix_main.service
