from django import forms

from sharix_admin.forms import BaseForm

class JobRequestMetaserviceForm(BaseForm, forms.Form):
    
    #message = forms.CharField(widget=forms.Textarea)
    CHOICES = [
        ('METASERVICE-SUPERVISOR', 'Стать модератором Сервиса'),
        ('METASERVICE-SUPPORT', 'Стать сотрудником Поддержки Сервиса'),
        ('METASERVICE-TECHSUPPORT', 'Стать сотрудником Техподдержки Сервиса'),
    ]
    
    multiple_choice_field_select = forms.MultipleChoiceField(
        choices=CHOICES,
        required=True,
        label="Выберите виды деятельности",
        # widget=forms.CheckboxSelectMultiple() # TODO: Fix
    )

class JobRequestPartnerForm(BaseForm, forms.Form):

    #message = forms.CharField(widget=forms.Textarea)
    CHOICES = [
        ('PARTNER-SUPERVISOR', 'Стать модератором Партнера Сервиса'),
        ('PARTNER-SUPPORT', 'Стать сотрудником Поддержки Партнера Сервиса'),
        ('PARTNER-TECHSUPPORT', 'Стать сотрудником Техподдержки Партнера Сервиса'),
        ('PROVIDER', 'Стать Исполнителем'),
    ]

    multiple_choice_field_select = forms.MultipleChoiceField(
        choices=CHOICES,
        required=True,
        label="Выберите виды деятельности",
        # widget=forms.CheckboxSelectMultiple() # TODO: Fix
    )
